View Issue Details

IDProjectCategoryView StatusLast Update
0001154VariiSpace[All Projects] Generalpublic2017-05-08 16:11
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001154: Créer le système des modules de vaisseau
DescriptionLes joueurs auront des vaisseaux spatiaux, qui auront été construit suivant un plan que les joueurs auront eux-même définis (aka: les joueurs peuvent créer leurs propres vaisseaux). Pour ce faire, chaque plan sera en fait un assemblage de modules de base (le joueur définit cet assemblage).

Il faut donc créer le système de modules de base, avec une page permettant d'afficher les informations d'un module en particulier. Pour l'instant, il suffit de créer des modules "inutiles", sans aucune fonction, juste pour mettre en place ce mécanisme.

Chaque module aura, à terme, une fonction (c'est *le* truc qui sera délicat à mettre en place) et des propriétés (masse, volume, forme). Les modules utiliseront une grille cubique (genre voxels) pour définir leur forme générale. Certains voxels pourront être connectés à d'autres modules. Chaque voxel, de 6 cotés (cube) aura donc 6 paramètres de connexion: 0 pour un coté interne au module (aka pas de mur), 1 pour un coté externe non-connectable (mur), 2 et + pour les cotés connectables (sas). Là, je peux considérer dans un premier temps que deux sas sont toujours connectables (donc, j'aurai juste 0,1,2 comme valeurs possibles). Par la suite, je ferai peut-être des sas "incompatibles" (genre 2 et 3 ne sont pas compatibles).

Ce ticket se concentre sur la création des modules, pas leur assemblage: il faut donc créer ce qu'il faut en BDD (et en PHP?) ainsi que la vue permettant de visualiser un module donné, c'est tout.
TagsNo tags attached.
Attach Tags

Relationships

related to 0001502 AcceptedXenos Donner des propriétés aux modules 
related to 0001503 CloseXenostom Connexion entre les modules 
child of 0001155 CloseXenos Pouvoir assembler les modules en vaisseaux 

Activities

Xenos

Xenos

2016-05-21 20:17

administrator   ~0001883

Donc j'ai juste des modules "vides" pour le moment, simplement cubiques, sans contrainte, sans propriété, sans effet
Xenos

Xenos

2016-08-18 22:41

administrator   ~0002159

Last edited: 2016-08-27 19:39

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:46

administrator   ~0002197

A refaire car perdu lors de la release primale
Xenos

Xenos

2017-05-08 16:11

administrator   ~0003253

Il n'est pas aussi profond que ce que je voulais, mais le système de modules est en place.

Issue History

Date Modified Username Field Change
2016-04-24 21:28 Xenos New Issue
2016-04-24 21:28 Xenos Status New => Accepted
2016-04-24 21:51 Xenos Relationship added child of 0001155
2016-05-21 19:37 Xenos Assigned To => Xenos
2016-05-21 19:37 Xenos Status Accepted => In progress
2016-05-21 20:17 Xenos Note Added: 0001883
2016-05-21 20:17 Xenos Status In progress => Ready
2016-05-21 20:17 Xenos Resolution open => fixed
2016-05-21 20:17 Xenos Relationship added related to 0001502
2016-05-21 20:17 Xenos Relationship added related to 0001503
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002159
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:39 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:46 Xenos Note Added: 0002197
2016-08-28 18:46 Xenos Status Resolved => Understood
2017-05-08 16:11 Xenos Status Understood => Close
2017-05-08 16:11 Xenos Note Added: 0003253